Displaying 16 results from an estimated 16 matches for "ovirt_defaults".
2011 Jul 18
0
[PATCH] fix ipv6 switch to disabled
...VIRT_VLAN"]
diff --git a/scripts/ovirt-config-setup.py b/scripts/ovirt-config-setup.py
index 753c80d..6ac09dc 100755
--- a/scripts/ovirt-config-setup.py
+++ b/scripts/ovirt-config-setup.py
@@ -1144,6 +1144,11 @@ class NodeConfigScreen():
augtool("rm", "/files/" + OVIRT_DEFAULTS + "/OVIRT_IP_ADDRESS", "")
augtool("rm", "/files/" + OVIRT_DEFAULTS + "/OVIRT_IP_NETMASK", "")
augtool("rm", "/files/" + OVIRT_DEFAULTS + "/OVIRT_IP_GATEWAY", "")
+ aug...
2011 Jul 20
0
[PATCH] fix ipv4 static/dhcp/disabled networking changes
...virt-config-setup.py b/scripts/ovirt-config-setup.py
index 6ac09dc..582fad1 100755
--- a/scripts/ovirt-config-setup.py
+++ b/scripts/ovirt-config-setup.py
@@ -1140,7 +1140,10 @@ class NodeConfigScreen():
def process_nic_config(self):
augtool("rm", "/files/" + OVIRT_DEFAULTS + "/OVIRT_BOOTIF", "")
- augtool("set", "/files/" + OVIRT_DEFAULTS + "/OVIRT_BOOTIF", '"' + self.nic_lb.current() + '"')
+ if self.disabled_ipv4_nic_proto.value() == 1:
+ augtool("set&quo...
2009 Dec 08
1
[PATCH node] iscsi remote root basework This lays most of the groundwork for iscsi installation and configuration. At this time configuring iscsi is disabled due to multiple issues with dependent pieces.
...prefix (hd0)
EOF
rc=$?
if [ $rc -ne 0 ]; then
@@ -175,6 +214,10 @@ EOF
e2label $candidate_dev RootUpdate
rm -rf $tmpdir
+ if [ "$OVIRT_ISCSI_ENABLED" == "y" ]; then
+ # copy default for when Root/HostVG is inaccessible(iscsi upgrade
+ cp $OVIRT_DEFAULTS /boot
+ fi
log "done."
}
diff --git a/scripts/ovirt-config-storage b/scripts/ovirt-config-storage
index 57aaebd..f9a5b41 100755
--- a/scripts/ovirt-config-storage
+++ b/scripts/ovirt-config-storage
@@ -21,13 +21,13 @@ if is_booted_from_local_disk; then
fi
default_overcommit...
2010 Apr 05
1
RESEND: [PATCH node 1/3] enables ability for a common shared root
...n
+ OVIRT_ROOT_INSTALL="y"
+ else
+ OVIRT_ROOT_INSTALL="n"
+ fi
+ else
+ OVIRT_SHARED_ROOT="n"
+ OVIRT_ROOT_INSTALL="y"
+ fi
+
+ augtool <<EOF
+ set /files$OVIRT_DEFAULTS/OVIRT_SHARED_ROOT $OVIRT_SHARED_ROOT
+ set /files$OVIRT_DEFAULTS/OVIRT_ROOT_INSTALL $OVIRT_ROOT_INSTALL
+EOF
printf "\n\nPlease select the disk to use for the HostVG.\n\n"
HOSTVGDRIVE=$(get_dev_name) || return 0
local skipped=false
- if check_exi...
2009 May 20
2
[PATCH node] Adds support for a core dump partition to the node.
...PACE
- for part in boot swap root config logging data ; do
+ for part in boot swap root config logging coredump data ; do
part_regexp="^0$"
if [ "$part" = "data" ]; then
part_regexp="^\-1|0$"
@@ -234,6 +236,7 @@ set /files$OVIRT_DEFAULTS/OVIRT_VOL_SWAP_SIZE $SWAP_SIZE
set /files$OVIRT_DEFAULTS/OVIRT_VOL_ROOT_SIZE $ROOT_SIZE
set /files$OVIRT_DEFAULTS/OVIRT_VOL_CONFIG_SIZE $CONFIG_SIZE
set /files$OVIRT_DEFAULTS/OVIRT_VOL_LOGGING_SIZE $LOGGING_SIZE
+set /files$OVIRT_DEFAULTS/OVIRT_VOL_COREDUMP_SIZE $COREDUMP_SIZE
set /files$OVIRT_...
2009 Nov 16
1
Refactored upgrade patch...
This patch includes feedback from apevec to remain backward compatible
with the previous karg, ovirt_local_boot.
2009 Nov 13
1
[PATCH] Provides an explicit upgrade path for an installed node.
...quot;$OVIRT_UPGRADE" = "1" ]; then
+ return 0
+ else
+ return 1
+ fi
+}
+
# return 0 if booted from local disk
# return 1 if booted from other media
is_booted_from_local_disk() {
@@ -123,7 +133,7 @@ disable_firstboot() {
augtool <<EOF
set /files$OVIRT_DEFAULTS/OVIRT_FIRSTBOOT 0
set /files$OVIRT_DEFAULTS/OVIRT_INIT '""'
-set /files$OVIRT_DEFAULTS/OVIRT_LOCAL_BOOT 0
+set /files$OVIRT_DEFAULTS/OVIRT_UPGRADE 0
EOF
fi
}
--
1.6.2.5
2009 Nov 16
2
Resend...
Resending the refactored patch: I realized after I emailed it that it
referenced the wrong bugzilla.
2009 Oct 22
0
[PATCH node] merge Root and /boot partitions
...a ; do
+ for part in swap root config logging data ; do
part_regexp="^0$"
if [ "$part" = "data" ]; then
part_regexp="^\-1|0$"
@@ -259,7 +257,6 @@ do_configure()
# save input variables
augtool <<EOF
set /files$OVIRT_DEFAULTS/OVIRT_INIT $DRIVE
-set /files$OVIRT_DEFAULTS/OVIRT_VOL_BOOT_SIZE $BOOT_SIZE
set /files$OVIRT_DEFAULTS/OVIRT_VOL_SWAP_SIZE $SWAP_SIZE
set /files$OVIRT_DEFAULTS/OVIRT_VOL_ROOT_SIZE $ROOT_SIZE
set /files$OVIRT_DEFAULTS/OVIRT_VOL_CONFIG_SIZE $CONFIG_SIZE
@@ -277,7 +274,7 @@ do_review()
local...
2009 Nov 04
1
[PATCH node] add ability to select separate disks for Root and HostVG in o-c-storage
...quot; = "data" ]; then
@@ -250,13 +269,13 @@ do_configure()
if ! check_partition_sizes; then
printf "Please try partitioning again.\n"
- DRIVE=
+ ROOTDRIVE=
return 1
fi
# save input variables
augtool <<EOF
-set /files$OVIRT_DEFAULTS/OVIRT_INIT $DRIVE
+set /files$OVIRT_DEFAULTS/OVIRT_INIT $ROOTDRIVE
set /files$OVIRT_DEFAULTS/OVIRT_VOL_SWAP_SIZE $SWAP_SIZE
set /files$OVIRT_DEFAULTS/OVIRT_VOL_ROOT_SIZE $ROOT_SIZE
set /files$OVIRT_DEFAULTS/OVIRT_VOL_CONFIG_SIZE $CONFIG_SIZE
@@ -267,15 +286,20 @@ EOF
do_review()
{
- if [...
2010 Apr 01
2
[PATCH node 1/3] Enables ability to have a common shared root
...n
+ OVIRT_ROOT_INSTALL="y"
+ else
+ OVIRT_ROOT_INSTALL="n"
+ fi
+ else
+ OVIRT_SHARED_ROOT="n"
+ OVIRT_ROOT_INSTALL="y"
+ fi
+
+ augtool <<EOF
+ set /files$OVIRT_DEFAULTS/OVIRT_SHARED_ROOT $OVIRT_SHARED_ROOT
+ set /files$OVIRT_DEFAULTS/OVIRT_ROOT_INSTALL $OVIRT_ROOT_INSTALL
+EOF
printf "\n\nPlease select the disk to use for the HostVG.\n\n"
HOSTVGDRIVE=$(get_dev_name) || return 0
@@ -402,6 +418,8 @@ do_configure()
if [ "...
2010 Mar 31
1
[PATCH node] Handle space in storage wwid
...get_drive_size "$HOSTVGDRIVE" HOSTVGDRIVESPACE
- echo $HOSTVGDRIVESPACE
+ echo "$HOSTVGDRIVESPACE"
fi
printf "\n\nPlease configure storage partitions.\n\n"
printf "* Enter partition sizes in MB.\n"
@@ -459,7 +459,7 @@ set /files$OVIRT_DEFAULTS/OVIRT_VOL_LOGGING_SIZE $LOGGING_SIZE
set /files$OVIRT_DEFAULTS/OVIRT_VOL_DATA_SIZE $DATA_SIZE
EOF
- if [ -n $BOOTDRIVE ]; then
+ if [ -n "$BOOTDRIVE" ]; then
augtool <<EOF
set /files$OVIRT_DEFAULTS/OVIRT_BOOT_INIT $BOOTDRIVE
EOF
@@ -478,7 +478,7 @@ do_review()...
2010 Oct 26
0
[PATCH node] add install.py
...os.system(e2label_cmd)
+ os.system("rm -rf %s") % tmpdir
+ if OVIRT_VARS.has_key("OVIRT_ISCSI_ENABLED") and OVIRT_VARS["OVIRT_ISCSI_ENABLED"] == "y":
+ # copy default for when Root/HostVG is inaccessible(iscsi upgrade)
+ shutil.copy(OVIRT_DEFAULTS, "/boot")
+ log("done.")
+
+def Usage():
+
+ print "Usage: %s [livecd_path] [bootparams] [reboot(yes/no)]" % sys.argv[0]
+ print " livecd_path - where livecd media is mounted parent of LiveOS"
+ print " and isolinux...
2010 Jul 21
0
[PATCH] RFC: Encrypted swap support
...yslog_port collectd_server collectd_port bootparams hostname firstboot runtime_mode"
# mount /config unless firstboot is forced
if [ "$firstboot" != "1" ]; then
mount_config
@@ -610,6 +642,9 @@ start_ovirt_early () {
done
augtool $tmpaug
. $OVIRT_DEFAULTS
+ if [ "$firstboot" != "1" -a -f /etc/ovirt-crypttab ]; then
+ mount_crypt_swap
+ fi
if [ -f /etc/sysconfig/network ]; then
. /etc/sysconfig/network
if [ -n "$HOSTNAME" ]; then
diff --git a/scripts/ovirt-functions b/scripts/ovirt-fun...
2010 Feb 17
0
[PATCH] Provides the new node lifecycle events.
...on the node.
+#
+# It then retrieves the configuration for the node, applies
+# it and then restarts the networking service.
+
+ME=$(basename "$0")
+WORKDIR=$(mktemp -d)
+
+. /etc/init.d/ovirt-functions
+
+[ -f "$NODE_CONFIG" ] && . "$NODE_CONFIG"
+[ -f "$OVIRT_DEFAULTS" ] && . "$OVIRT_DEFAULTS"
+
+warn() { printf '%s: %s\n' "$ME" "$*" >&2; }
+die() { warn "$*"; exit 1; }
+verbose() { if $verbose; then printf "%s\n" "$*"; fi }
+debug() { if $debugging; then printf "[DEBUG...
2010 Oct 22
0
[PATCH node] First draft of replacing some of the ovirt-config-* scripts with python equivalents.
...of the oVirt partition
+OVIRT_LABEL="OVIRT"
+# configuration values are loaded in the following order:
+# 1. /etc/sysconfig/node-config sets the default values
+# 2. /etc/default/ovirt is loaded to override defaults with karg values
+NODE_SYSCONFIG="/etc/sysconfig/node-config"
+OVIRT_DEFAULTS="/etc/default/ovirt"
+
+OVIRT_VARS = {}
+# Parse all OVIRT_* variables
+if os.path.exists(NODE_SYSCONFIG):
+ try:
+ f = open(NODE_SYSCONFIG, 'r')
+ for line in f:
+ try:
+ line = line.strip()
+ key, value = line.split("...